## Artifact of Dissonance
Adds the enemies missing from the Artifact of Dissonance spawn list to it.

This includes Hermit Crabs, Clay Dunestriders, Grandparents and the 3 Lunar Chimeras.\
Makes it possible for different looking Titans to spawn as opposed to always the Distant Roost one.

*When using Dissonance all enemies on Commencement can be Perfected Elites. 


## Artifact of Honor
*Allows Worms to be Elites when Artifact of Honor is enabled.  (Can be configured to always allow Elite Worms)

*Forces Mithrix and the Twisted Scavengers to be Perfected instead of being a random Tier 1 Elite.

*Forces Minions and Drones to be random elite.

*Makes it so you start with an Elite Equipment.




## Artifact of Vengence
*Umbras will scale with the ambient level but have half health to compensate (they get very tanky otherwise).

*Umbras use equipment when attacking while generally being in mid to close range and also sprint more often.

*To compensate for being a more threatening fight, Umbras now only drop Green/Red/Yellow items.
They will try to drop an item from your inventory instead of their own so you can get items that Umbras can't inherit.
Also able to drop Dio if they inherited a live one.


*Umbras wont get Nkuhanas Opinion and Helfire Tincutre as they can easily lead to situations where the player gets oneshot.



## Artifact of Evo & AIBlacklist Adjustments 
*Artifact of Evolution: Change item amounts per tier that are given(Disabled by default)\
*Config to only Multiply items after looping. (applies to all previous items too)

*Blacklist for all enemies/Scav : Nkuhanas Opinion, Sprint items, Aegis, Happiest Mask, Ghors Tome, Death Mark, Infusion\
*Rerolls Scavs equipments if they get: Recycler, Crowdfunder, Eccentric Vase\
*Blacklist for regular Enemies : Tesla Coil, Interstellar Desk Plant

This will reduce the amount of useless items Scavs/Artifact of Evolution gets and prevent some unfair situations.




## Artifact of Kin & Yellow Drops for enemies
*Artifact of Kin will try to always have a different enemy than the last stage.

*Hordes of Many will now drop fitting Yellow Items depending on the enemy.\
This should help with Artifact of Kin or just general situations where the game fails to spawn a Boss.
```
Titanic Knurl:       Stone Golem
Queen's Gland:       Beetle, Beetle Guard
Genesis Loop:        Jellyfish
Little Disciple:     Lesser Wisp, Greater Wisp
Molten Perforator:   Lemurian, Elder Lemurian
Charged Perforator:  Overloading Lemurian, Overloading Elder Lemurian
Shatterspleen:       Imp
Mired Urn:           Clay Templar, Clay Man 
Empathy Cores:       Solus Probe, Alloy Vulture
Planula:             Parent
Irradiant Pearl:     Lunar Exploder, Lunar Golem, Lunar Wisp
Random :             Scavenger
```
##

## Artifact of Enigma
*Artifact of Enigma will behave more like the first game.

You start with an Enigma Box equipment which on use uses a random equipment.\
*Default Cooldown of 60s.

Any Equipment will be replaced by an Enigma Box.\
If you already have an Enigma Box, picking one up will turn it into 10% equipment cooldown reduction.

Enigma can no longer give Spinel Tonic and can now give Milky Chrysalis and Effigy of Grief.

Enigma Box can't invoke Gnarled Woodsprite or Royal Capacitor as they don't function.

If you go do the Artifact of Enigma trial you'll get a Enigma Box to keep.

## Artifact of Soul
Soul Wisps will now be immortal, only dying to expiration.

Bosses and larger minibosses spawn Greater Soul Wisps\
Greater Wisps will take longer to expire.

Soul Wisps have their stats adjusted to be better at pestering you but also not overwhelm you with damage.


### Misc Artifact Changes
*Artifact of Command allows choice of Aspect when you manage to get one.

*Artifact of Frailty will remove fall damage immunity and Headstompers.


### Misc Gameplay Changes
*Minions will inherit your Elite Equipment\
*Drones separately can be configured if they also should inherit.

*Scavengers encountered as a TP Boss are given a boss item and will have a chance of dropping it as TP loot.\
*Scavengers will also be encountered as a TP Boss under normal circumstances and not just when the game fails to spawn other bosses.

*Unrecommended option to allow Scavs to spawn with Ceremonial Daggers, Razorwire and Fungus. (Incase they aren't evil enough)

##
*=Configurable

Report bugs to @Wolfo#6210 in the Risk of Rain 2 Modding discord.\
Especially grateful for Network related reports.\
If you're reporting a bug please include the log file, I can't really do anything without it.\
If your config looks weird delete it.

Also download [WolfoQualityOfLife](https://thunderstore.io/package/Wolfo/WolfoQualityOfLife/)



If you think other Artifacts are underwhelming these mods might help:

[BetterSpite](https://thunderstore.io/package/HIFU/BetterSpite/) by HIFU (highly configurable)\
[BetterCommandArtifact](https://thunderstore.io/package/Boooooop/BetterCommandArtifact/) By Boooooop (only get few choices instead of all)


## Changelog:
v1.4.0
* Artifact of Frailty tweaks
* Artifact of Enigma upgrade
* Artifact of Soul tweaks
* Technical stuff

v1.3.4
* Umbras now only drop Green/Red/Yellow items
* Umbras try to drop an item from your inventory instead of their own

v1.3.3 - PreSet Item Blacklist for Umbras & Equipment Blacklist for Scavs\
v1.3.2 
* Adds Clay Men, Arch Wisp, Ancient Wisps to the Dissonance spawn pool when respective mod is present.

v1.3.1 - Config mistake fixed\
v1.3.0
* Umbras will always sprint when chasing their target.


v1.2.9 - Config to make Hermit Crabs&Solus Probes rarer for Disso\
v1.2.8 - Defaulted Yellow Scav to 1 Item\
v1.2.7 - Reorganized Config
* Command allows choice of Aspect when Aspects drop

v1.2.6
* Config to make Umbras use Equipment

v1.2.5
* Hopefully Fixed bug making only Umbras of 1 player scale

v1.2.4
* Config to make Umbras scale with ambient level.

v1.2.3
* Yellow drops for Scavenger, Overloading Elder/Lemurian
* Config to have Scavenger TP Bosses spawn with 2 Yellow items

v1.2.2
* Config to only apply More Evolution Items after Looping

v1.2.1
* Config for Turrets not inherting Tonic Affliction

v1.2.0
* Config for Artifact of Kin to try to not have 2 of the same enemy in a row.

v1.1.9
* Config to start Artifact of Honor runs with a Tier 1 Elite Equipment
* Config to make Minions & Friendly Aurelionite a random Elite when using Artifact of Honor
* Config to make Minions inherit Elite Equipment

v1.1.8
* Config for Honor to make Mithrix & Twisted Scavengers always Perfect instead of random Tier 1 Elites.

v1.1.7
* Config for Artifact of Evolution item amounts (per tier), disabled by default.

v1.1.6
* Option to allow all enemies to be Perfected elites on Commencement for Dissonance

v1.1.5 - Minor Fix for HonorOnly Worms\
v1.1.4 - Minor Fix for Debug\
v1.1.3 - Minor Change for Enemy Item Blacklist\
v1.1.2 - Minor Fix + Removed Cleanse Pool stuff (Moved to SlightlyFasterInteractables)\
v1.1.1 - Minor Fix

v1.1.0
* For Technical reason the mod now deletes and then re-adds the list entirely.
* Changed vanilla category weight that made Minibosses spawn too often.
* Shifted around enemies in categories to make them all equally likely to be chosen as possible enemies for the current stage.
* Scavengers no longer appear on every stage with Dissonance.
* Added a Titan look randomizer on start up.
* Worm Bosses can now be Elites with Artifact of Honor.
* Most enemies can drop fitting Boss Items if they are encountered as a Horde of Many.
* Config files for previous 2 modules


v1.0.4
* Hopefully fixes a bug where Cleansing Pool drop tables could desync leading to stages loading in empty.
* Moved Lunar Wisp to Champions Category due to their high spawn cost.

v1.0.3 - Minor Fix

v1.0.2
* Hermit Crabs now spawn far away like how they do in the regular spawns.
* Sprint items are now AIBlacklisted as they should be.

v1.0.1
* Attempts to fix a bug where Cleansing Pools occasionally would give only Irradiant Pearls.
* Cleansing Pools display their cost (1 Lunar) again.

v1.0.0 - Release.